## pptp-linux 1.7.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
-# $Id: Makefile,v 1.33 2004/06/22 08:09:55 quozl Exp $
-VERSION=1.5.0
+# $Id: Makefile,v 1.38 2005/03/10 01:18:20 quozl Exp $
+VERSION=1.7.0
 RELEASE=
 
 #################################################################
@@ -9,6 +9,7 @@
 
 BINDIR=$(DESTDIR)/usr/sbin
 MANDIR=$(DESTDIR)/usr/share/man/man8
+PPPDIR=$(DESTDIR)/etc/ppp
 
 CC	= gcc
 RM	= rm -f
@@ -57,18 +58,31 @@
 	install -o root -m 555 pptp $(BINDIR)
 	mkdir -p $(MANDIR)
 	install -m 644 pptp.8 $(MANDIR)
+	mkdir -p $(PPPDIR)
+	install -m 644 options.pptp $(PPPDIR)
 
 uninstall:
 	$(RM) $(BINDIR)/pptp $(MANDIR)/pptp.8
 
 dist: clobber
-	$(RM) pptp-linux-$(VERSION)$(RELEASE).tar.gz
-	$(RM) -r pptp-linux-$(VERSION)
-	mkdir pptp-linux-$(VERSION)
-	cp --recursive ChangeLog Makefile *.c *.h pptp.8 Documentation \
-Reference AUTHORS COPYING INSTALL NEWS README DEVELOPERS TODO USING \
-	pptp-linux-$(VERSION)/
-	$(RM) -r pptp-linux-$(VERSION)/CVS pptp-linux-$(VERSION)/*/CVS
-	tar czf pptp-linux-$(VERSION)$(RELEASE).tar.gz pptp-linux-$(VERSION)
-	$(RM) -r pptp-linux-$(VERSION)
-	md5sum pptp-linux-$(VERSION)$(RELEASE).tar.gz
+	$(RM) pptp-$(VERSION)$(RELEASE).tar.gz
+	$(RM) -r pptp-$(VERSION)
+	mkdir pptp-$(VERSION)
+	cp --recursive ChangeLog Makefile *.c *.h options.pptp pptp.8 \
+		Documentation Reference AUTHORS COPYING INSTALL NEWS \
+		README DEVELOPERS TODO USING \
+		pptp-$(VERSION)/
+	$(RM) -r pptp-$(VERSION)/CVS pptp-$(VERSION)/*/CVS
+	tar czf pptp-$(VERSION)$(RELEASE).tar.gz pptp-$(VERSION)
+	$(RM) -r pptp-$(VERSION)
+	md5sum pptp-$(VERSION)$(RELEASE).tar.gz
+
+deb:
+	chmod +x debian/rules 
+	fakeroot dpkg-buildpackage -us -uc
+	mv ../pptp_$(VERSION)-0_i386.deb .
+
+WEB=~/public_html/external/mine/pptp/pptpconfig
+release:
+	cp pptp_$(VERSION)-0_i386.deb $(WEB)
+	cd $(WEB);make
