## pptp-linux 1.7.2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
-# $Id: Makefile,v 1.38 2005/03/10 01:18:20 quozl Exp $
-VERSION=1.7.0
+# $Id: Makefile,v 1.47 2008/05/14 06:32:52 quozl Exp $
+VERSION=1.7.2
 RELEASE=
 
 #################################################################
@@ -18,22 +18,30 @@
 INCLUDE =
 CFLAGS  = -Wall $(OPTIMIZE) $(DEBUG) $(INCLUDE)
 LIBS	= -lutil
+# Solaris 10
+# LIBS	= -lnsl -lsocket -lresolv
+# Solaris Nevada build 14 or above
+# LIBS    = -lnsl -lsocket
 LDFLAGS	=
 
 PPTP_BIN = pptp
 
 PPTP_OBJS = pptp.o pptp_gre.o ppp_fcs.o \
             pptp_ctrl.o dirutil.o vector.o \
-            inststr.o util.o version.o \
-	    pptp_quirks.o orckit_quirks.o pqueue.o pptp_callmgr.o
+	    inststr.o util.o version.o test.o \
+	    pptp_quirks.o orckit_quirks.o pqueue.o pptp_callmgr.o routing.o \
+	    pptp_compat.o
 
-PPTP_DEPS = pptp_callmgr.h pptp_gre.h ppp_fcs.h util.h \
-	    pptp_quirks.h orckit_quirks.h config.h pqueue.h
+PPTP_DEPS = pptp_callmgr.h pptp_gre.h ppp_fcs.h util.h test.h \
+	    pptp_quirks.h orckit_quirks.h config.h pqueue.h routing.h
 
-all: config.h $(PPTP_BIN)
+all: config.h $(PPTP_BIN) pptpsetup.8
 
 $(PPTP_BIN): $(PPTP_OBJS) $(PPTP_DEPS)
 	$(CC) -o $(PPTP_BIN) $(PPTP_OBJS) $(LDFLAGS) $(LIBS)
+
+pptpsetup.8: pptpsetup
+	pod2man $? > $@
 
 config.h: 
 	echo "/* text added by Makefile target config.h */" > config.h
@@ -56,8 +64,10 @@
 install:
 	mkdir -p $(BINDIR)
 	install -o root -m 555 pptp $(BINDIR)
+	install -o root -m 555 pptpsetup $(BINDIR)
 	mkdir -p $(MANDIR)
 	install -m 644 pptp.8 $(MANDIR)
+	install -m 644 pptpsetup.8 $(MANDIR)
 	mkdir -p $(PPPDIR)
 	install -m 644 options.pptp $(PPPDIR)
 
@@ -69,8 +79,8 @@
 	$(RM) -r pptp-$(VERSION)
 	mkdir pptp-$(VERSION)
 	cp --recursive ChangeLog Makefile *.c *.h options.pptp pptp.8 \
-		Documentation Reference AUTHORS COPYING INSTALL NEWS \
-		README DEVELOPERS TODO USING \
+		pptpsetup Documentation AUTHORS COPYING INSTALL NEWS \
+		README DEVELOPERS TODO USING PROTOCOL-SECURITY \
 		pptp-$(VERSION)/
 	$(RM) -r pptp-$(VERSION)/CVS pptp-$(VERSION)/*/CVS
 	tar czf pptp-$(VERSION)$(RELEASE).tar.gz pptp-$(VERSION)
