## pptp-linux 1.8.0

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,13 @@
-# $Id: Makefile,v 1.47 2008/05/14 06:32:52 quozl Exp $
-VERSION=1.7.2
+# $Id: Makefile,v 1.51 2011/11/29 22:05:07 quozl Exp $
+VERSION=1.8.0
 RELEASE=
 
 #################################################################
-# CHANGE THIS LINE to point to the location of your pppd binary.
+# CHANGE THIS LINE to point to the location of binaries
 PPPD = /usr/sbin/pppd
+# Solaris
+# PPPD = /usr/bin/pppd
+IP = /bin/ip
 #################################################################
 
 BINDIR=$(DESTDIR)/usr/sbin
@@ -13,10 +16,12 @@
 
 CC	= gcc
 RM	= rm -f
-OPTIMIZE= -O0
+OPTIMIZE= -O -Wuninitialized
 DEBUG	= -g
 INCLUDE =
 CFLAGS  = -Wall $(OPTIMIZE) $(DEBUG) $(INCLUDE)
+# Solaris
+# CFLAGS +=  -D_XPG4_2 -D__EXTENSIONS__
 LIBS	= -lutil
 # Solaris 10
 # LIBS	= -lnsl -lsocket -lresolv
@@ -43,10 +48,13 @@
 pptpsetup.8: pptpsetup
 	pod2man $? > $@
 
-config.h: 
-	echo "/* text added by Makefile target config.h */" > config.h
-	echo "#define PPTP_LINUX_VERSION \"$(VERSION)$(RELEASE)\"" >> config.h
-	echo "#define PPPD_BINARY \"$(PPPD)\"" >> config.h
+config.h:
+	( \
+	echo "/* text added by Makefile target config.h */"; \
+	echo "#define PPTP_LINUX_VERSION \"$(VERSION)$(RELEASE)\""; \
+	echo "#define PPPD_BINARY \"$(PPPD)\""; \
+	echo "#define IP_BINARY \"$(IP)\"" \
+	) > config.h
 
 vector_test: vector_test.o vector.o
 	$(CC) -o vector_test vector_test.o vector.o
@@ -96,3 +104,71 @@
 release:
 	cp pptp_$(VERSION)-0_i386.deb $(WEB)
 	cd $(WEB);make
+
+# The following include file dependencies were generated using
+# "makedepend -w0 *.c", then manually removing out of tree entries.
+# DO NOT DELETE
+
+dirutil.o: dirutil.h
+orckit_quirks.o: pptp_msg.h
+orckit_quirks.o: pptp_compat.h
+orckit_quirks.o: pptp_options.h
+orckit_quirks.o: pptp_ctrl.h
+orckit_quirks.o: util.h
+ppp_fcs.o: ppp_fcs.h
+ppp_fcs.o: pptp_compat.h
+pptp.o: config.h
+pptp.o: pptp_callmgr.h
+pptp.o: pptp_gre.h
+pptp.o: pptp_compat.h
+pptp.o: version.h
+pptp.o: inststr.h
+pptp.o: util.h
+pptp.o: pptp_quirks.h
+pptp.o: pptp_msg.h
+pptp.o: pptp_ctrl.h
+pptp.o: pqueue.h
+pptp.o: pptp_options.h
+pptp_callmgr.o: pptp_callmgr.h
+pptp_callmgr.o: pptp_ctrl.h
+pptp_callmgr.o: pptp_compat.h
+pptp_callmgr.o: pptp_msg.h
+pptp_callmgr.o: dirutil.h
+pptp_callmgr.o: vector.h
+pptp_callmgr.o: util.h
+pptp_callmgr.o: routing.h
+pptp_compat.o: pptp_compat.h
+pptp_compat.o: util.h
+pptp_ctrl.o: pptp_msg.h
+pptp_ctrl.o: pptp_compat.h
+pptp_ctrl.o: pptp_ctrl.h
+pptp_ctrl.o: pptp_options.h
+pptp_ctrl.o: vector.h
+pptp_ctrl.o: util.h
+pptp_ctrl.o: pptp_quirks.h
+pptp_gre.o: ppp_fcs.h
+pptp_gre.o: pptp_compat.h
+pptp_gre.o: pptp_msg.h
+pptp_gre.o: pptp_gre.h
+pptp_gre.o: util.h
+pptp_gre.o: pqueue.h
+pptp_gre.o: test.h
+pptp_quirks.o: orckit_quirks.h
+pptp_quirks.o: pptp_options.h
+pptp_quirks.o: pptp_ctrl.h
+pptp_quirks.o: pptp_compat.h
+pptp_quirks.o: pptp_msg.h
+pptp_quirks.o: pptp_quirks.h
+pqueue.o: util.h
+pqueue.o: pqueue.h
+routing.o: routing.h
+test.o: util.h
+test.o: test.h
+util.o: util.h
+vector.o: pptp_ctrl.h
+vector.o: pptp_compat.h
+vector.o: vector.h
+vector_test.o: vector.h
+vector_test.o: pptp_ctrl.h
+vector_test.o: pptp_compat.h
+version.o: config.h
