## pptp-linux 1.9.0%2Bds

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # $Id: Makefile,v 1.51 2011/11/29 22:05:07 quozl Exp $
-VERSION=1.8.0
+VERSION=1.9.0
 RELEASE=
 
 #################################################################
@@ -19,7 +19,7 @@
 OPTIMIZE= -O -Wuninitialized
 DEBUG	= -g
 INCLUDE =
-CFLAGS  = -Wall $(OPTIMIZE) $(DEBUG) $(INCLUDE)
+# CFLAGS  = -Wall $(OPTIMIZE) $(DEBUG) $(INCLUDE)
 # Solaris
 # CFLAGS +=  -D_XPG4_2 -D__EXTENSIONS__
 LIBS	= -lutil
@@ -27,7 +27,7 @@
 # LIBS	= -lnsl -lsocket -lresolv
 # Solaris Nevada build 14 or above
 # LIBS    = -lnsl -lsocket
-LDFLAGS	=
+# LDFLAGS	=
 
 PPTP_BIN = pptp
 
@@ -46,7 +46,7 @@
 	$(CC) -o $(PPTP_BIN) $(PPTP_OBJS) $(LDFLAGS) $(LIBS)
 
 pptpsetup.8: pptpsetup
-	pod2man $? > $@
+	pod2man --section=8 $? > $@
 
 config.h:
 	( \
@@ -60,7 +60,7 @@
 	$(CC) -o vector_test vector_test.o vector.o
 
 clean:
-	$(RM) *.o config.h
+	$(RM) *.o config.h pptpsetup.8
 
 clobber: clean
 	$(RM) $(PPTP_BIN) vector_test
