## pptp-linux 1.9.0+ds

=== debian/changelog ===
pptp-linux (1.9.0+ds-2) unstable; urgency=medium

  * Drop dependency on the full perl package, perl-base is sufficient
  * Forward to the latest upstream commit. Closes: #646880, #646881,
    #617285, #887370

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 15 Jan 2018 22:29:22 +0100

pptp-linux (1.9.0+ds-1) unstable; urgency=medium

  * New upstream version
  * New maintainer. Thanks Ola Lundqvist for handing over
  * Packaging cleanup:
    - Reformat debian/copyright in format 1.0
    - Change source format to 3.0 (quilt). Closes: #831032
    - Refresh patch queue, all but one was applied upstream
    - Change to debhelper 7 style debian/rules. Closes: #842769
    - Declare compliance with policy 3.9.8
    - Bump debhelper compat level to 10
    - Enable full hardening build
    - Remove obsolete dependency on binutils. Closes: #621912
    - Update watch file, check upstream's signature
    - No longer ship development-related and obsolete documentation

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 02 Jan 2017 22:34:27 +0100

pptp-linux (1.8.0-1) unstable; urgency=low

  * New upstream release. Closes: #741918.
  * Closes: #721963. Applied patch from Alexander Oelzant that solve a
    problem with simultaneous connections. Thanks to Yahor Zaleski
    <info@dserver.by> for pointing me to this patch.
  * Closes: #680455. Applied a patch to solve ubuntu bug 681617.
    This is a solution to a unresponsiveness problem when downloading things
    at high speed. Thanks to Michael Hudson-Doyle <michael.hudson@linaro.org>
    for this fix.
  * Closes: #569964. Minor documentation fix (path).

 -- Ola Lundqvist <opal@debian.org>  Thu, 28 May 2015 22:46:07 +0200

pptp-linux (1.7.2-7) unstable; urgency=low

  * Making this package linux specific as it is not known whether it
    works on BSD port and currently it is uninstallable on kFreeBSD
    port. Closes: #648361.

 -- Ola Lundqvist <opal@debian.org>  Mon, 19 Mar 2012 21:29:19 +0100

pptp-linux (1.7.2-6) unstable; urgency=low

  * Now depends on binutils. Closes: #587506.
  * Added ${misc:Depends} to the depends line as it uses debhelper.
  * Updated from debhelper compatibility 4 to 7.
  * Changed from dh_clean -k to dh_prep.
  * Updated to standards version 3.9.0 (from 3.8.0).

 -- Ola Lundqvist <opal@debian.org>  Sun, 05 Sep 2010 21:07:06 +0200

pptp-linux (1.7.2-5) unstable; urgency=low

  * Applied patch from Mats Erik Andersson
    <mats.andersson@gisladisker.se> that make sure that only IPv4
    addresses are returned from dns resolving. Is needed until IPv6
    support is available for this tool. Closes: #576671.

 -- Ola Lundqvist <opal@debian.org>  Wed, 16 Jun 2010 08:40:19 +0200

pptp-linux (1.7.2-4) unstable; urgency=low

  * Removed suggest for kernel-patch-mppe as that package has been
    removed. Closes: #564030.
  * Updated to standards version 3.8.0.
  * Updated debian/rules clean target to be lintian compliant.
  * Switched from DH_COMPAT in debian/rules to a compat file. Still version
    4 compatible.

 -- Ola Lundqvist <opal@debian.org>  Wed, 13 Jan 2010 08:32:28 +0100

pptp-linux (1.7.2-3) unstable; urgency=high

  * Instead of changing permissions after, make sure to set the proper
    umask. Closes: #523476.

 -- Ola Lundqvist <opal@debian.org>  Tue, 28 Apr 2009 06:47:47 +0200

pptp-linux (1.7.2-2) unstable; urgency=low

  * Make sure that the pptpsetup --delete option do not make passwords
    in chap-secrets file visible to anyone. Closes: #523476.

 -- Ola Lundqvist <opal@debian.org>  Sun, 12 Apr 2009 18:48:18 +0200

pptp-linux (1.7.2-1) unstable; urgency=low

  * New upstream release
  * This new release fixes crash according to upstream. Closes: #427586.
  * Updated copyright file according to changes in upstream file. This is
    just editorial changes. Also made it clear about who is the current
    maintainer.
  * This new version includes pptpsetup with man page. This should make the
    following bug obsolete. Closes: #167216.
  * Removed non-free document.
  * Updated to standards version 3.7.2.

 -- Ola Lundqvist <opal@debian.org>  Sun,  1 Jun 2008 20:54:10 +0200

pptp-linux (1.7.0-3) unstable; urgency=low

  * Updated description, closes: #473712.

 -- Ola Lundqvist <opal@debian.org>  Tue, 22 Apr 2008 08:13:25 +0200

pptp-linux (1.7.0-2) unstable; urgency=low

  * Updated description on when you need mppe patch, closes: #360106.
  * Updated to debhelper 4 compatibility.
  * Updated to standards version 3.6.2.

 -- Ola Lundqvist <opal@debian.org>  Sat,  1 Apr 2006 11:35:32 +0200

pptp-linux (1.7.0-1) unstable; urgency=low

  * New upstream release, closes: #313319, #314824.
  * Created a debian/watch file to make it easier to update in the future.
  * Removed non-free documentation from the orig tarball.
    Reference/rfc* Reference/ms-chap.txt Reference/pptp-draft.txt
    Closes: #312366.

 -- Ola Lundqvist <opal@debian.org>  Sun, 25 Sep 2005 13:49:58 +0200

pptp-linux (1.5.0-5) unstable; urgency=low

  * Fixed version reference in README.Debian, closes: #267696.
    Also dded URL to upstream Debian howto.

 -- Ola Lundqvist <opal@debian.org>  Mon, 31 Jan 2005 21:08:40 +0100

pptp-linux (1.5.0-4) unstable; urgency=low

  * Fixed manpage issue with not quoted '-', closes: #264872.

 -- Ola Lundqvist <opal@debian.org>  Tue, 10 Aug 2004 20:59:37 +0200

pptp-linux (1.5.0-3) unstable; urgency=low

  * Updated manpage so that it have options that is supported by pppd,
    closes: #264849.

 -- Ola Lundqvist <opal@debian.org>  Tue, 10 Aug 2004 20:06:03 +0200

pptp-linux (1.5.0-2) unstable; urgency=low

  * Updated package description so it do not say that you need to patch
    ppp.
  * Made a versioned dependency on ppp.

 -- Ola Lundqvist <opal@debian.org>  Fri,  6 Aug 2004 20:58:04 +0200

pptp-linux (1.5.0-1) unstable; urgency=low

  * New upstream release, closes: #241789.
  * Updated the README file to tell that it works with ppp in sarge
    and sid, closes: #243497.

