=== debian/control ===
Source: pptp-linux
Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
Homepage: http://pptpclient.sourceforge.net/
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 10~),
Priority: optional
Section: net

Package: pptp-linux
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends},
    ppp,
Description: Point-to-Point Tunneling Protocol (PPTP) Client
 Client for the proprietary Microsoft Point-to-Point Tunneling
 Protocol, PPTP.  Allows connection to a PPTP based VPN as used
 by employers and some cable and ADSL service providers.
