=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.signature/,repacksuffix=+ds,dversionmangle=s/\+ds$//" \
    https://qa.debian.org/watch/sf.php/pptpclient/ \
    pptp/pptp-(?:[0-9\.]+)/pptp-([0-9\.]+)\.tar\.(?:gz|xz)
