=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.signature/" \
    https://quozl.linux.org.au/pptp/ \
    pptp-([0-9\.]+)\.tar\.(?:gz|xz)
